#include "picsys18.h"

void
setup()
{
    SEG7_initDefault() ;
	
    /* MCP1541を使用:VREF:4.096V */
    analogReference(EXTERNAL) ;
}

void loop()
{
    int v ;
    float temp ; // 温度の計算は実数で

    v = analogRead(TEMP_SENSOR) ;
    temp = 4.096 / 1024 * v ;  // 読み取った値を電圧に換算
    temp -= 0.4 ;  // 温度センサーの0度のオフセット:400mV
    temp /= 0.01953 ; // １度あたり19.53mVの電圧増加

    v = (int)(temp * 100) ; // LEDの下（右）２桁は小数点以下の値

    SEG7_write(v, SEG7_INT);

    delayMilliseconds(100) ;
}
